commit:     c2360b273f99e25b7bc7f1245ff0ae673e7768e2
Author:     Lars Wendler <polynomial-c <AT> gentoo <DOT> org>
AuthorDate: Wed Jul 31 10:51:53 2019 +0000
Commit:     Lars Wendler <polynomial-c <AT> gentoo <DOT> org>
CommitDate: Wed Jul 31 10:54:17 2019 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=c2360b27

sys-apps/kbd: Bump to version 2.2.0

Closes: https://bugs.gentoo.org/690738
Closes: https://bugs.gentoo.org/690806
Package-Manager: Portage-2.3.69, Repoman-2.3.16
Signed-off-by: Lars Wendler <polynomial-c <AT> gentoo.org>

 sys-apps/kbd/Manifest         |  1 +
 sys-apps/kbd/kbd-2.2.0.ebuild | 74 +++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 75 insertions(+)

diff --git a/sys-apps/kbd/Manifest b/sys-apps/kbd/Manifest
index eca4c0877c8..93fc96d2895 100644
--- a/sys-apps/kbd/Manifest
+++ b/sys-apps/kbd/Manifest
@@ -1,2 +1,3 @@
 DIST kbd-2.0.4.tar.xz 1031864 BLAKE2B 
10c2bded89befda1f1d7ab199796e082a4e3b2333cf29a2abbbe843191dce41a7289d5bc3b7e55d8b25c7144ae4b4977e4321b38896917d0083af8ddd4924a3e
 SHA512 
5e264b3695b0af0bc85e0a4fa2c43e13648d8ea82102f3b051c28da2abfc52977577c470bce48f30cec9b0d215297e48c9b05e00561c990e3770fb68f6544e0f
 DIST kbd-2.1.0.tar.xz 1114896 BLAKE2B 
273b1149ac1ba6220d786fa6fedf22432937c8e7a8c3317eecc11d4533a72f6c29566dda75be2fb0fae3c0f02d63a10e6207cbe96719051639fc661c859e1040
 SHA512 
bfb3e7c4ab2973bf68ee6ce8fd90b4e51cff5a466c04b375c1a6d9418319cf041a593edb4915637cd0c3b472614cd39d8184837d14e9177f163817da4e769849
+DIST kbd-2.2.0.tar.xz 1115220 BLAKE2B 
d4218f3a8f9212d16e8a14011f0e136f6aebd18f13f8d5da2bd63296e0aa857fc5e7fe927200345fca3b723bc879f87511b02c152824a73ae5743cc8175991e6
 SHA512 
5f407c20739487e423e8390e429d30838a1a69a0a50db083803ce56da919e25ce480b63fd1bcfac9eb362095f17e575783b09eaa55e26b442bfa3ed838e04f13

diff --git a/sys-apps/kbd/kbd-2.2.0.ebuild b/sys-apps/kbd/kbd-2.2.0.ebuild
new file mode 100644
index 00000000000..097ab17ac29
--- /dev/null
+++ b/sys-apps/kbd/kbd-2.2.0.ebuild
@@ -0,0 +1,74 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit pam
+
+if [[ ${PV} == "9999" ]] ; then
+       inherit autotools git-r3
+       
#EGIT_REPO_URI="https://git.kernel.org/pub/scm/linux/kernel/git/legion/kbd.git";
+       EGIT_REPO_URI="https://github.com/legionus/kbd.git";
+       EGIT_BRANCH="master"
+else
+       SRC_URI="https://www.kernel.org/pub/linux/utils/kbd/${P}.tar.xz";
+       KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 
~riscv ~s390 ~sh ~sparc ~x86"
+fi
+
+DESCRIPTION="Keyboard and console utilities"
+HOMEPAGE="http://kbd-project.org/";
+
+LICENSE="GPL-2"
+SLOT="0"
+IUSE="nls pam test"
+
+RDEPEND="
+       app-arch/gzip
+       pam? (
+               !app-misc/vlock
+               virtual/pam
+       )
+"
+DEPEND="${RDEPEND}"
+BDEPEND="
+       virtual/pkgconfig
+       test? ( dev-libs/check )
+"
+
+src_unpack() {
+       if [[ ${PV} == "9999" ]] ; then
+               git-r3_src_unpack
+       else
+               default
+       fi
+
+       # Rename conflicting keymaps to have unique names, bug #293228
+       cd "${S}"/data/keymaps/i386 || die
+       mv fgGIod/trf.map fgGIod/trf-fgGIod.map || die
+       mv olpc/es.map olpc/es-olpc.map || die
+       mv olpc/pt.map olpc/pt-olpc.map || die
+       mv qwerty/cz.map qwerty/cz-qwerty.map || die
+}
+
+src_prepare() {
+       default
+       if [[ ${PV} == "9999" ]] ; then
+               eautoreconf
+       fi
+}
+
+src_configure() {
+       local myeconfargs=(
+               $(use_enable nls)
+               $(use_enable pam vlock)
+               $(use_enable test tests)
+       )
+       econf "${myeconfargs[@]}"
+}
+
+src_install() {
+       default
+       docinto html
+       dodoc docs/doc/*.html
+       use pam && pamd_mimic_system vlock auth account
+}

Reply via email to